#
# spec file for package ghc-hatex-guide
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hatex-guide
Name:           ghc-%{pkg_name}
Version:        1.3.1.6
Release:        8.1
Summary:        HaTeX User's Guide
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HaTeX-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel

%description
The HaTeX User's Guide is a manual explaining the HaTeX library
(<http://hackage.haskell.org/package/HaTeX>). This library can be used to
output the guide in different formats. A compiled pdf version of the latex
output can be found at
<http://daniel-diaz.github.com/projects/hatex/hatex-guide.pdf>. The online HTML
version is in <http://daniel-diaz.github.com/projects/hatex/hatex-guide.html>.
See the README file
(<https://github.com/Daniel-Diaz/hatex-guide/blob/master/README.md>) for more
details.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc license

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Jan 18 2017 psimons@suse.com
- Update to version 1.3.1.6 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.3.1.5 revision 0 with cabal2obs.
